{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "ts3";
  system.stateVersion = "24.11";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.teamspeak3 = {
    enable = true;
    openFirewall = true;
  };
}
